Foros del Web » Programando para Internet » PHP »

No me funciona el bcpow

Estas en el tema de No me funciona el bcpow en el foro de PHP en Foros del Web. Necesito manejar potencias muy grandes, la funcion pow lo no soporta, me sugerieron usar bcpow, pero esta funcion no la encuentra y mi version que ...
  #1 (permalink)  
Antiguo 03/01/2006, 16:27
 
Fecha de Ingreso: octubre-2005
Mensajes: 17
Antigüedad: 12 años, 2 meses
Puntos: 0
No me funciona el bcpow

Necesito manejar potencias muy grandes, la funcion pow lo no soporta,
me sugerieron usar bcpow, pero esta funcion no la encuentra y mi version que manejo es la 4.03. la sintaxis la uso como viene en la ayuda.

porque no me funciona?
o como podre manejar potencia muy grandes.


Gracias.
  #2 (permalink)  
Antiguo 03/01/2006, 16:45
Avatar de mauled  
Fecha de Ingreso: marzo-2005
Ubicación: Cd. de México.
Mensajes: 3.001
Antigüedad: 12 años, 9 meses
Puntos: 33
De acuerdo

mmm esta funcíon funciona para las versiona 3, 4 ,5 de php.. te pido de favor que cheques el siguiente link bcpow...

si sigues teniendo porblemas te sugiero que pongas el código que estas utilizando para que te puedan ayudar de una mejor manera....

Última edición por mauled; 03/01/2006 a las 16:53
  #3 (permalink)  
Antiguo 03/01/2006, 17:34
 
Fecha de Ingreso: octubre-2005
Mensajes: 17
Antigüedad: 12 años, 2 meses
Puntos: 0
Sigue sin funcionar (help)

el codigo que hice de prueba es el del ejemplo

<?php
echo bcpow('4.2', '3', 2); // 74.08
?>

y el mensaje que me manda es
Fatal error: Call to undefined function: bcpow()

ya lo probe de varias maneras y no funciona

la version que manejo 4.3.9

hice la prueba con pow y si funciona.
  #4 (permalink)  
Antiguo 03/01/2006, 22:05
Avatar de jmn2k1  
Fecha de Ingreso: noviembre-2001
Ubicación: Buenos Aires...
Mensajes: 489
Antigüedad: 16 años, 1 mes
Puntos: 2
Leete esto: http://www.php.net/manual/en/ref.bc.php

Tenes una version apenas anterior... fijate que en el php.ini hay una seccion para habilitar extensiones, busca alguna que diga algo de bcmath y descomentala (quitale el ";").

Sino, proba de actualizar PHP.

Edit:

Ahora veo que el ultimo mensaje decis que tenes la version 4.3.9. Cual de las dos tenes? Porque la funcion estaria disponible a partir de 4.0.4
__________________
JmN
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 18:09.